#!/bin/sh
#
# /usr/local/sbin/backup-ipfiresettings.sh
# backing up ipfire settings
# 
# Jörg Richter
#
# based ond backup-settings.sh (for ipcop)
# by Thomas Schmitt
#


BACKUPDIR=/var/backup/linuxmuster

# check if i am already running
mypid=$$
mypidfile=/var/run/backup-ipfiresettings.sh.pid
if [ -e "$mypidfile" ]; then
    echo "There is already an ipfire backup process running! Exiting!"
    echo "If this is not correct you have to delete $mypidfile!"
    exit 0
fi
echo "$mypid" > $mypidfile


# backup ipfire settings
error=0
echo "  Backing up ipfire settings to $BACKUPDIR/ipfire ..."
[ -d "$BACKUPDIR/ipfire" ] || mkdir -p $BACKUPDIR/ipfire
ssh -p 222 root@ipfire /usr/local/bin/backupctrl makedirs >/dev/null 2>&1
ssh -p 222 root@ipfire /usr/local/bin/backupctrl exclude >/dev/null 2>&1

# Get all backup archives we don't have yet
for b in $(ssh -p 222 root@ipfire ls /var/ipfire/backup/*.ipf); do
   [ -f "$BACKUPDIR/ipfire/$(basename $b)" ] || scp -P 222 root@ipfire:$b $BACKUPDIR/ipfire
done

echo "  ... done!"

# delete pid file
rm $mypidfile


# exit 1 if errors are occured
exit $error

